taccuino.vo

## Class FarmacoRequestDTO

- java.lang.Object
- - taccuino.vo.FarmacoRequestDTO

- Direct Known Subclasses:
    FarmacoResponseDTO

      public class FarmacoRequestDTO
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `aic`
    `protected LocalDate` | `dataFineAssunzione`
    `protected LocalDate` | `dataInizioAssunzione`
    `protected String` | `descrizione`
    `protected String` | `noteAssunzione`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FarmacoRequestDTO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAic()`
    `LocalDate` | `getDataFineAssunzione()`
    `LocalDate` | `getDataInizioAssunzione()`
    `String` | `getDescrizione()`
    `String` | `getNoteAssunzione()`
    `void` | `setAic(String aic)`
    `void` | `setDataFineAssunzione(LocalDate dataFineAssunzione)`
    `void` | `setDataInizioAssunzione(LocalDate dataInizioAssunzione)`
    `void` | `setDescrizione(String descrizione)`
    `void` | `setNoteAssunzione(String noteAssunzione)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### aic

          protected String aic

    - #### descrizione

          protected String descrizione

    - #### noteAssunzione

          protected String noteAssunzione

    - #### dataInizioAssunzione

          protected LocalDate dataInizioAssunzione

    - #### dataFineAssunzione

          protected LocalDate dataFineAssunzione

  - ### Constructor Detail

    - #### FarmacoRequestDTO

          public FarmacoRequestDTO()

  - ### Method Detail

    - #### getAic

          public String getAic()

    - #### setAic

          public void setAic(String aic)

    - #### getDescrizione

          public String getDescrizione()

    - #### setDescrizione

          public void setDescrizione(String descrizione)

    - #### getNoteAssunzione

          public String getNoteAssunzione()

    - #### setNoteAssunzione

          public void setNoteAssunzione(String noteAssunzione)

    - #### getDataInizioAssunzione

          public LocalDate getDataInizioAssunzione()

    - #### setDataInizioAssunzione

          public void setDataInizioAssunzione(LocalDate dataInizioAssunzione)

    - #### getDataFineAssunzione

          public LocalDate getDataFineAssunzione()

    - #### setDataFineAssunzione

          public void setDataFineAssunzione(LocalDate dataFineAssunzione)